# sharedfile.add

Adds a file sharedfile

Usage

    sharedfile.add [-t=<timeout>] [-n=<visible name>] <filename> [user_mask]

Description

Adds <filename> to the list of the active shared files. The users will be able to request the file via dcc.get. If [user_mask] is specified , the access to the file is limited to the users that match this mask, otherwise the mask will be automatically set to '*!*@*'.
If the 't' switch is used, the sharedfile will be removed after <timeout> seconds. If the 'n' switch is used, the sharedfile will be visible to the other users as <visible name> instead of the real <filename> (stripped of the leading path). <filename> must be an absolute path.

Switches

-t=<timeout> | --timeout=<timeout>
Specified the timeout after that the share will be automatically removed
-n=<visible name> | --name=<visible name>
Explicitly specifies the visible name of the share

Syntax Specification

    sharedfile.add [-t=<timeout:integer>] [-n=<visible name>] <filename> [user_mask]

See also
sharedfile.remove, sharedfile.list, dcc.get

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011